## ros-humble-tiago-robot 4.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_robot)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-tiago-robot (4.0.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.11-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-robot (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'update_license' into 'humble-devel'
    Update license
    See merge request robots/tiago_robot!180
  * update license
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-robot (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Migrated package.xml and CMakeLists.txt to ros2 format
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-tiago-robot (2.0.55-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 15 Jan 2021 00:00:00 -0000

ros-humble-tiago-robot (2.0.54-1jammy) jammy; urgency=high

  * Merge branch 'new-endoscopic-dual' of gitlab:robots/tiago_robot into new-endoscopic-dual
  * Contributors: daniellopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 08 Sep 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.53-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.52-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 27 Jul 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.51-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 15 Jul 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.50-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.49-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 01 Jul 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.48-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Jun 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.47-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 15 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.46-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 13 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.45-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.44-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 12 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.43-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.42-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.41-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 07 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.40-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 06 May 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.39-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.38-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Feb 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.37-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 14 Feb 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.36-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 Jan 2020 00:00:00 -0000

ros-humble-tiago-robot (2.0.35-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 06 Nov 2019 00:00:00 -0000

ros-humble-tiago-robot (2.0.34-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 30 Oct 2019 00:00:00 -0000



=== debian/control ===
Source: ros-humble-tiago-robot
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-tiago-bringup, ros-humble-tiago-controller-configuration, ros-humble-tiago-description, ros-humble-ros-workspace
Description: Description and controller configuration of TIAGo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-robot//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-robot 4.6.0

=== debian/changelog ===
ros-humble-tiago-robot (4.6.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-tiago-robot (4.5.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tiago-robot (4.4.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tiago-robot (4.3.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.21-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.20-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.19-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.18-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.17-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.16-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.15-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.14-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.13-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.12-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 09 May 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.11-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.10-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.9-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 May 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.8-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.7-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.6-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 Apr 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.5-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.4-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 05 Mar 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.3-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 27 Feb 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.2-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.1-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-humble-tiago-robot (4.2.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-humble-tiago-robot (4.1.2-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jan 2024 16:00:00 -0000

ros-humble-tiago-robot (4.1.1-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jan 2024 16:00:00 -0000

ros-humble-tiago-robot (4.1.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-tiago-robot (4.0.28-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.27-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.26-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 13 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.25-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.24-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.23-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 10 Dec 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.22-1bookworm) bookworm; urgency=high

  * Update cmake_minimum_required version to 3.8
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.21-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Nov 2023 16:00:00 -0000

ros-humble-tiago-robot (4.0.20-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez



=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://github.com/pal-robotics/tiago_simulation
 Standards-Version: 3.9.2
 
 Package: ros-humble-tiago-robot

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-robot//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-robot//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-robot//opt/ros/humble/opt/tiago_robot/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
